#include <bits/stdc++.h>

using namespace std;

int n, k;
int niz[200000];
long long br = 0;

void f()
{
    long long brojac = 0;
    for(int i = 0; i < n; i++)
        brojac += niz[i];
    cout << brojac;
    return;
}

void prviSubTask()
{
    long long brojac = 0;
    for(int i = 0; i < n; i++)
        brojac += (i+1)*(n-i)*niz[i];
    cout << brojac;
    return;
}

void drugiSubTask(int N, int K, int I, int J)
{
    if(K > 0)
    {
        for(int i = I; i < J; i++)
        {
            for(int j = i; j < J; j++)
            {
                drugiSubTask(N, K-1, i, j+1);
            }
        }
    }
    else
    {
        for(int i = I; i < J; i++)
            br += niz[i];
    }
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin >> n >> k;
    for(int i = 0; i < n; i++)
        cin >> niz[i];
    if(k == 0) f();
    else if(k == 1) prviSubTask();
    else
    {
        drugiSubTask(n, k, 0, n);
        cout << br;
    }
    return 0;
}